Account Management
Get Crypto Balance
Get the crypto balance for a user in USD. Returns a decimal number representing the balance.
GET
/
payment
/
api
/
v1
/
offramp-audit
/
crypto-balance
/
{crypto}
/
{blockchain}
/
{user_id}
Get Crypto Balance
curl --request GET \
--url https://api.carbnconnect.com/payment/api/v1/offramp-audit/crypto-balance/{crypto}/{blockchain}/{user_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.carbnconnect.com/payment/api/v1/offramp-audit/crypto-balance/{crypto}/{blockchain}/{user_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.carbnconnect.com/payment/api/v1/offramp-audit/crypto-balance/{crypto}/{blockchain}/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
150.75Authorizations
API key for authentication. Must be included in the x-api-key header.
Path Parameters
The cryptocurrency symbol (e.g., USDC, USDT)
The blockchain network (e.g., solana, ethereum, polygon)
The unique identifier of the user
Response
Crypto balance retrieved successfully
The crypto balance in USD
Example:
150.75
Previous
Get Offramp QuoteGet a quote for converting crypto to fiat and sending to a registered destination account
Next
⌘I
Get Crypto Balance
75